
def sum1(n):
  return N(sum( sin(i) for i in xrange(n) ))

############################################

def sum3(n):
  from math import sin as msin
  return sum( msin(i) for i in xrange(n) )

############################################
%%cython

def sum4(n):
  from math import sin as msin
  return sum( msin(i) for i in xrange(n) )

############################################
%%cython

cdef extern from "math.h":
  double sin(double)

def sum5(n):
  cdef double s = 0
  for i in xrange(n):
    s += sin(i)
  return s

###########################################


def sum2(n):
  "pomalejší než sum 1"
  i = SR.var('i')
  return N(sum(sin(i), i, 0, n))

def sum2_(n):
  "šíleně pomalé"
  i = SR.var('i')
  return N(sum(sin(i), i, 0, n).full_simplify())

def sum2__(x):
  "velmi velmi rychlé :-)"
  i, n = SR.var(['i', 'n'])
  return N(sum(sin(i), i, 0, n).full_simplify()(n = x))

