cdef extern from "unistd.h":
  int sleep(int)

def spi1(int x):
  cdef int s = 0
  for j in xrange(x):
    for i in xrange(x):
      s = s ^ i
  print "Dobré ráno"
  return s

include "cysignals/signals.pxi"
def spi2(int x):
  cdef int s = 0
  for j in xrange(x):
    for i in xrange(x):
      s = s ^ i
    sig_check()
  print "Dobré ráno"
  return s

def spi3(int x):
  cdef int s = 0
  sig_on()
  for j in xrange(x):
    for i in xrange(x):
      s = s ^ i
  sig_off()
  print "Dobré ráno"
  return s


from libcpp.vector cimport vector

cdef extern from "vypis.h":
  void cpp_vypis "vypis"[T](vector[T])
  void cpp_vypis_matici "vypis_matici"[T](void *, int rows, int cols, int r_stride, int c_stride)
    
def vypis(list x not None):
  cpp_vypis[double](x)

cimport cython
cimport numpy as np
import numpy as np

def vypis_matici(M):
  assert(len(M.shape) == 2)
  print M.strides

  if M.dtype == np.dtype('int16'):
    cpp_vypis_matici[np.int16_t](np.PyArray_DATA(M), M.shape[0], M.shape[1], M.strides[0], M.strides[1])
  elif M.dtype == np.dtype('int8'):
    cpp_vypis_matici[np.int8_t](np.PyArray_DATA(M), M.shape[0], M.shape[1], M.strides[0], M.strides[1])
  elif M.dtype == np.dtype('int32'):
    cpp_vypis_matici[np.int32_t](np.PyArray_DATA(M), M.shape[0], M.shape[1], M.strides[0], M.strides[1])
  elif M.dtype == np.dtype('int64'):
    cpp_vypis_matici[np.int64_t](np.PyArray_DATA(M), M.shape[0], M.shape[1], M.strides[0], M.strides[1])
  else:
    assert(False)
