from distutils.core import setup
from distutils.extension import Extension
from Cython.Build import cythonize
import numpy

setup(
  name='FooBar',
  version='1.0',
  ext_modules = cythonize([
    Extension("fooBar",
      sources = ["fooBar.pyx"],
      language="c++",
      include_dirs = [numpy.get_include()],
      extra_compile_args=[
        "-std=gnu++11", "-O3", "-funroll-loops", "-fwrapv",
        "-Wall", "-fno-strict-aliasing"
      ]
    )
  ])
)

